### Constructor

# Dex Future first

#### Declaration [src]

    DexFuture*
    dex_future_first (
      DexFuture* first_future,
      ...
    )

#### Description [src]

Creates a new `DexFuture` that resolves or rejects as soon as the first dependent future resolves or rejects, sharing the same result.

This constructor is not directly available to language bindings.

The implementation of this constructor is provided by `()` in language bindings.

#### Parameters

`first_future`

  Type: `DexFuture`

  A `DexFuture`.

  The called function takes ownership of the data, and is responsible for freeing it.

`...`

  Type: ``

  A `NULL` terminated list of futures.

#### Return value

Type: `DexFuture`

A `DexFutureSet`.

The caller of the function takes ownership of the data, and is responsible for freeing it.